<template>
  <iframe :src="url" frameborder="0" height="100%" width="100%"></iframe>
</template>

<script setup lang="ts">
const { $config } = useNuxtApp();
const route = useRoute();
const ontologyTermId = route.query.id as string;

const ontoscopeUrl = $config.public.uiPages.ontoscope;
const obaUrl = "https://ibeetle-base.uni-goettingen.de/oba/tribolium";
let url = `${ontoscopeUrl}/?url=${obaUrl}&plugin=./tribolium_plugin`;

if (ontologyTermId) {
  url += `&defaultId=${ontologyTermId}`;
}
</script>
